| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IOrientationEstimator Struct Referenceabstract

Image orientation estimator interface. More...

`#include <IOrientationEstimator.h>`

Inheritance diagram for fsdk::IOrientationEstimator:

## Public Member Functions
virtual ResultValue< FSDKError, OrientationType > | estimate (const Image &image) const noexcept=0
| Estimate orientation of image (Normal, Right90deg, Left90deg or UpsideDown). More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< OrientationType > out) const noexcept=0
| Estimate orientation of several images. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Image orientation estimator interface.

Note
  This estimator is designed to work with Image only;

## Member Function Documentation

virtual ResultValue<FSDKError, OrientationType> fsdk::IOrientationEstimator::estimate | ( | const Image & | image | ) | const
| pure virtual noexcept

Estimate orientation of image (Normal, Right90deg, Left90deg or UpsideDown).

Parameters

  input | image

See Also
  fsdk::FSDKError, fsdk::OrientationType and fsdk::Image for details

virtual Result<FSDKError> fsdk::IOrientationEstimator::estimate | ( | Span< const Image > | images,
|  | Span< OrientationType > | out
| ) |  | const
| pure virtual noexcept

Estimate orientation of several images.

Parameters

  [in] | images | span of input images,

See Also
  fsdk::Span for details

Parameters

  [out] | out | output span of orientation estimations.

See Also
  fsdk::OrientationType

Returns
  Error code;

See Also
  fsdk::FSDKError for details.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IOrientationEstimator::validate | ( | Span< const Image > | images,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | images span
  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IOrientationEstimator.h